ipmo activedirectory
$computernames = gc "M:\it_business_systems\ADEX\Migration\computers.txt"
$computernames = $computernames | ?{$_}


foreach($computername in $computernames){
	try{$computer = get-adcomputer $computername -server aecuk.aec.local
		write-host "$computername is a valid computer account" -foregroundcolor green
	}catch{write-host "Supplied computername does not match a valid user - $computername" -foregroundcolor red}
}
read-host "Press Enter To Continue"
